This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 892727 - [abrt] ibus-1.4.99.20121109-8.fc18: _gdk_x11_display_error_event: Process /usr/libexec/ibus-ui-gtk3 was killed by signal 5 (SIGTRAP)
[abrt] ibus-1.4.99.20121109-8.fc18: _gdk_x11_display_error_event: Process /us...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: freenx-server (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
abrt_hash:c72695fdcf55524cf27fc311d01...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-07 12:21 EST by Alan Schmidt
Modified: 2014-01-22 15:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-22 15:21:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.35 KB, text/plain)
2013-01-07 12:21 EST, Alan Schmidt
no flags Details
File: cgroup (132 bytes, text/plain)
2013-01-07 12:21 EST, Alan Schmidt
no flags Details
File: core_backtrace (8.77 KB, text/plain)
2013-01-07 12:21 EST, Alan Schmidt
no flags Details
File: dso_list (6.86 KB, text/plain)
2013-01-07 12:21 EST, Alan Schmidt
no flags Details
File: environ (1.68 KB, text/plain)
2013-01-07 12:21 EST, Alan Schmidt
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-07 12:21 EST, Alan Schmidt
no flags Details
File: maps (33.07 KB, text/plain)
2013-01-07 12:22 EST, Alan Schmidt
no flags Details
File: open_fds (492 bytes, text/plain)
2013-01-07 12:22 EST, Alan Schmidt
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2013-01-07 12:22 EST, Alan Schmidt
no flags Details
File: var_log_messages (285 bytes, text/plain)
2013-01-07 12:22 EST, Alan Schmidt
no flags Details

  None (edit)
Description Alan Schmidt 2013-01-07 12:21:44 EST
Description of problem:
Logged in to KDE as me (non-root) remotely using NX.

Version-Release number of selected component:
ibus-1.4.99.20121109-8.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-ui-gtk3
crash_function: _gdk_x11_display_error_event
executable:     /usr/libexec/ibus-ui-gtk3
kernel:         3.6.10-4.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _gdk_x11_display_error_event at gdkdisplay-x11.c:2416
 #6 handle_error at xcb_io.c:212
 #7 handle_response at xcb_io.c:324
 #10 _cairo_xlib_shm_surface_flush at cairo-xlib-surface-shm.c:640
 #11 _cairo_xlib_surface_get_shm at cairo-xlib-surface-shm.c:982
 #12 _cairo_xlib_surface_map_to_image at cairo-xlib-surface.c:1388
 #13 _cairo_surface_map_to_image at cairo-surface.c:637
 #14 render_pattern at cairo-xlib-source.c:296
 #15 _cairo_xlib_source_create_for_pattern at cairo-xlib-source.c:1102
 #17 composite_aligned_boxes at cairo-traps-compositor.c:1272
Comment 1 Alan Schmidt 2013-01-07 12:21:50 EST
Created attachment 674175 [details]
File: backtrace
Comment 2 Alan Schmidt 2013-01-07 12:21:52 EST
Created attachment 674176 [details]
File: cgroup
Comment 3 Alan Schmidt 2013-01-07 12:21:54 EST
Created attachment 674177 [details]
File: core_backtrace
Comment 4 Alan Schmidt 2013-01-07 12:21:55 EST
Created attachment 674178 [details]
File: dso_list
Comment 5 Alan Schmidt 2013-01-07 12:21:57 EST
Created attachment 674179 [details]
File: environ
Comment 6 Alan Schmidt 2013-01-07 12:21:59 EST
Created attachment 674180 [details]
File: limits
Comment 7 Alan Schmidt 2013-01-07 12:22:00 EST
Created attachment 674181 [details]
File: maps
Comment 8 Alan Schmidt 2013-01-07 12:22:01 EST
Created attachment 674182 [details]
File: open_fds
Comment 9 Alan Schmidt 2013-01-07 12:22:03 EST
Created attachment 674183 [details]
File: proc_pid_status
Comment 10 Alan Schmidt 2013-01-07 12:22:04 EST
Created attachment 674184 [details]
File: var_log_messages
Comment 11 Alan Schmidt 2013-01-07 15:23:37 EST
In case it's relevant:

This doesn't happen to me when I log in to KDE normally on the console. Only when I login via NX, and don't own the console. It would have been showing gdm at the time.
Comment 12 fujiwara 2013-01-07 21:02:46 EST
(In reply to comment #11)
> In case it's relevant:
> 
> This doesn't happen to me when I log in to KDE normally on the console. Only
> when I login via NX, and don't own the console. It would have been showing
> gdm at the time.

Probably I guess the problem is in NX client.
I cannot reproduce your problem since I don't have NX.
Comment 13 Alan Schmidt 2013-01-09 10:11:31 EST
Would it be reasonable to change the component to freenx-server instead?

It seems like this would be what was "in control" when ibus reported the exception?
Comment 14 Fedora End Of Life 2013-12-21 05:14:25 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Jens Petersen 2014-01-22 01:44:42 EST
Still happens in current Fedora releases?
Comment 16 Alan Schmidt 2014-01-22 15:21:12 EST
No; it looks like it's stopped happening for me. I totally forgot about this report.

Sorry.

Note You need to log in before you can comment on or make changes to this bug.